Mailinglist Archive: opensuse-updates (145 mails)

< Previous Next >
openSUSE-RU-2018:1316-1: important: Recommended update for clamav
openSUSE Recommended Update: Recommended update for clamav
______________________________________________________________________________

Announcement ID: openSUSE-RU-2018:1316-1
Rating: important
References: #1089502
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This update for clamav fixes the following issues:

Clamav was updated to version 0.100.0 (bsc#1089502):

* Add interfaces to the Prelude SIEM open source package for collecting
ClamAV virus events.
* Support libmspack internal code or as a shared object library. The
internal library is the default and includes modifications to enable
parsing of CAB files that do not entirely adhere to the CAB file format.
* Link with OpenSSL 1.1.0.
* Deprecate of the AllowSupplementaryGroups parameter statement in clamd,
clamav-milter, and freshclam. Use of supplementary is now in effect by
default.
* Deprecate internal LLVM code support.
* Compute and check PE import table hash (a.k.a. "imphash") signatures.
* Support file property collection and analysis for MHTML files.
* Raw scanning of PostScript files.
* Fix clamsubmit to use the new virus and false positive submission web
interface.
* Optionally, flag files with the virus "Heuristic.Limits.Exceeded" when
size limitations are exceeded.
* Improved decoders for PDF files.
* Reduced number of compile time warnings.
* Improved support for C++11.
* Improved detection of system installed libraries.
* Fixes to ClamAV's Container system and the introduction of Intermediates
for more descriptive signatures.
* Improvements to clamd's On-Access scanning capabilities for Linux.

Re-introduce removed options as deprecated, so that clamd and freshclam
don't exit on startup with an old config file

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-462=1



Package List:

- openSUSE Leap 42.3 (x86_64):

clamav-0.100.0-26.1
clamav-debuginfo-0.100.0-26.1
clamav-debugsource-0.100.0-26.1


References:

https://bugzilla.suse.com/1089502


< Previous Next >
This Thread
  • No further messages